diff -Nur c3000_pre/linux/fs/ntfs/attrib.c c3000_work/linux/fs/ntfs/attrib.c
--- c3000_pre/linux/fs/ntfs/attrib.c	2004-08-21 09:49:00.000000000 +0900
+++ c3000_work/linux/fs/ntfs/attrib.c	2004-12-16 22:58:06.000000000 +0900
@@ -1223,6 +1223,21 @@
  *
  * Return 0 on success or -errno on error.
  */
+/* ##koko */
+int __cmpdi2( const s64 arg1, const s64 arg2 )
+{
+	u32	low1, low2;
+	s32	hi1, hi2;
+	hi1	= (s32)( arg1>>32 ) & 0xFFFFFFFF;
+	hi2	= (s32)( arg2>>32 ) & 0xFFFFFFFF;
+	if( hi1<hi2 )		return( -1 );
+	else if( hi1>hi2 )	return(  1 );
+	low1	= (u32)arg1 & 0xFFFFFFFF;
+	low2	= (u32)arg2 & 0xFFFFFFFF;
+	if( low1<low2 )		return( -1 );
+	else if( low1>low2 )	return( 1 );
+	return( 0 );
+}
 int load_attribute_list(ntfs_volume *vol, run_list *run_list, u8 *al,
 		const s64 size, const s64 initialized_size)
 {
